digiKam Developer Documentation: Digikam::LookupAltitudeGeonames Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::LookupAltitudeGeonames Class Reference
Inheritance diagram for Digikam::LookupAltitudeGeonames:

## Public Member Functions
| LookupAltitudeGeonames (QObject *const parent)
void | addRequests (const Request::List &requests) override
QString | backendHumanName () const override
QString | backendName () const override
void | cancel () override
QString | errorMessage () const override
Request | getRequest (const int index) const override
Request::List | getRequests () const override
StatusAltitude | getStatus () const override
void | startLookup () override
Public Member Functions inherited from Digikam::LookupAltitude
| LookupAltitude (QObject *const parent)
virtual void | addRequests (const Request::List &requests)=0

## Additional Inherited Members
Public Types inherited from Digikam::LookupAltitude
typedef QFlags< StatusEnum > | StatusAltitude
enum | StatusEnum { StatusInProgress = 0 , StatusSuccess = 1 , StatusCanceled = 2 , StatusError = 3 }
Signals inherited from Digikam::LookupAltitude
void | signalDone ()
void | signalRequestsReady (const QList< int > &readyRequests)

## Member Function Documentation

## ◆ backendHumanName()

QString Digikam::LookupAltitudeGeonames::backendHumanName | ( |  | ) | const
| overridevirtual

Implements Digikam::LookupAltitude.

## ◆ backendName()

QString Digikam::LookupAltitudeGeonames::backendName | ( |  | ) | const
| overridevirtual

Implements Digikam::LookupAltitude.

## ◆ cancel()

void Digikam::LookupAltitudeGeonames::cancel | ( |  | ) |
| overridevirtual

Implements Digikam::LookupAltitude.

## ◆ errorMessage()

QString Digikam::LookupAltitudeGeonames::errorMessage | ( |  | ) | const
| overridevirtual

Implements Digikam::LookupAltitude.

## ◆ getRequest()

LookupAltitude::Request Digikam::LookupAltitudeGeonames::getRequest | ( | const int | index | ) | const
| overridevirtual

Implements Digikam::LookupAltitude.

## ◆ getRequests()

LookupAltitude::Request::List Digikam::LookupAltitudeGeonames::getRequests | ( |  | ) | const
| overridevirtual

Implements Digikam::LookupAltitude.

## ◆ getStatus()

LookupAltitude::StatusAltitude Digikam::LookupAltitudeGeonames::getStatus | ( |  | ) | const
| overridevirtual

Implements Digikam::LookupAltitude.

## ◆ startLookup()

void Digikam::LookupAltitudeGeonames::startLookup | ( |  | ) |
| overridevirtual

Implements Digikam::LookupAltitude.